package com.njcn.csdevice.service;

import com.njcn.csharmonic.pojo.vo.MakeUpVo;

import java.util.List;

public interface DeviceFtpService {

    MakeUpVo askDeviceRootPath(String nDid);

    List<MakeUpVo> askDeviceFileOrDir(String nDid, String name, String type);

    void downloadFile(String nDid, String name, Integer size, String fileCheck);

    String getDownloadFilePath(String nDid, String name);

    boolean createFile(String nDid, String path);

    boolean deleteFile(String nDid, String path);

}
